* {
	box-sizing: border-box;
}
.hanoi-towers {
	display: flex;
	justify-content: space-around;
	align-items: flex-end;
	height: 450px; /* Adjust based on your preference */
	border-bottom: 2px solid black; /* Represents the ground */
}
.peg {
	display: flex;
	align-items: flex-end;
	flex-direction: column;
	justify-content: flex-end;
	width: 300px;
	height: 400px;
	align-items: center;
	margin: auto;
	padding-top: 20px;
	background-color: #606060;
}

.disk {
	margin: 0 auto 10px auto;
	height: 20px;
	background-color: #0d6efd;
	border-radius: 5px;
	border: 2px solid #000000;
	align-self: flex-end;
}
.button {
	background-color: #0d6efd;
	color: white;
	width: 200px;
	padding: 10px 20px;
	border: 2px solid black;
	border-radius: 5px;
	cursor: pointer;
	margin: 1px;
}

.button:hover {
	background-color: #0b5ed7;
}

.button:active {
	background-color: #0a58c2;
}
.moves {
	font-size: 40px;
	font-weight: bold;
	color: #000000;
	margin-bottom: 10px;
	text-align: center; /* Added to center the text */
}
input[type="combobox"] {
	/* Your styles for the input combobox here */
}
.combobox {
	position: relative;
	display: inline-block;
	width: 200px;
}

.combobox select {
	width: 100%;
	padding: 10px;
	font-size: 16px;
	border: 1px solid #ccc;
	border-radius: 4px;
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	background-color: #fff;
	background-image: linear-gradient(45deg, transparent 50%, #000 50%), linear-gradient(135deg, #000 50%, transparent 50%), linear-gradient(to right, #ccc, #ccc);
	background-position: calc(100% - 20px) calc(1em + 2px), calc(100% - 15px) calc(1em + 2px), 100% 0;
	background-size: 5px 5px, 5px 5px, 2.5em 2.5em;
	background-repeat: no-repeat;
	cursor: pointer;
}

.combobox select:focus {
	outline: none;
	border-color: #0d6efd;
}

.combobox::after {
	content: "\25BC";
	position: absolute;
	top: 50%;
	right: 10px;
	transform: translateY(-50%);
	color: #000;
	pointer-events: none;
}

.watermark {
	position: fixed;
	bottom: 10px;
	right: 10px;
	font-size: 16px;
	color: rgb(0, 0, 0);
}
